Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000002TestLinkNew Featurepublic2005-08-02 12:152008-11-07 19:46
Reportermhavlat 
Assigned Toazl 
PriorityhighSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Fixed in Version1.8 Beta 1 
Summary0000002: TL API - RTP/XML
DescriptionTransfered SF [ 1055220 ] General interface to other applications

We could write http/xml interface which could be used
a) to deliver test results into TL
b) allow external client applications e.g. CRM, gforce, eclipse, etc.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0000993)
suave (reporter)
2006-12-27 03:33

Just a note. We use STAF and STAX for Linux automation.
(0002141)
mhavlat (reporter)
2007-09-16 03:52

It's concluded to develop the feature within 1.8. The reposnsibility will take Manish and Asiel.

View of manish (copy from forum):

Hi All,

We need two use cases/features in Testlink.

1) Our auotomation framework supports execution of individual
test cases using XML-RPC service. We intend to use testlink
as a interface to kick off the execution of these test cases
and have it record the result of each and every test case.

The automation uses classic *Unit framework and we intend to
export APIs something like:
- ListCases
- startSuiteExecution (This is just to let framework
know that a set of test will be executed one after another)
- RunTest
- EndSuiteExecution

This will enable a user to run automated test suite and manage
the test result in testlink.

2) Other use cases is simple, and intend to use testlink to
execute single test cases without creating test plan or even
storing the test result. This will be more of a quickly run a
test to do random check on given build.

As I am writing this post, another use case comes to my mind
is that adding a test case for newly added test in the framework.
I am sure this confuses a usage model a little bit and posses
questions like which one is the authentic source of test case
listing, testlink or framewor. However I am writing here that
comes to mind right at this moment and want to have opinion of
people out here.


Some points on implementation:
==================================

I have been using Testlink now for quite a time. I was eagerly
waiting for web services in 1.7, but I think it has been postponed
to 1.8. I have few questions:

- I didn't see source for 1.8 on sourceforge CVS, is work on 1.8
started or is it yet to be kicked off?
- What would it take to implement a XML-RPC client and extend usage
model as stated above?
- If I want to implement above use cases in TL, what version do I use,
1.7 or 1.8?


Some points about feedback:
===========================

- Would anybody else out here want to use TL in this way?
- If not, what is the use case that you would suggest?
- Another model I can use is have framework to use TL XMLRPC
webservice proposed in 1.8, but the facility of having executing
test cases as mentioned in 2nd usecase is very important for me,
so in any case I think I need to implement xml-rpc client and
provide UI to support this feature.

Any comments?
Thanks and Regards,
Manish
(0002863)
mhavlat (reporter)
2007-12-30 07:52

Asiel already introduced the first code with asic functionality to HEAD. So I marked this issue as resolved.

- Issue History
Date Modified Username Field Change
2005-08-02 12:15 mhavlat New Issue
2005-08-02 12:16 mhavlat Status new => assigned
2005-08-02 12:16 mhavlat Assigned To => mhavlat
2006-12-11 07:38 mhavlat Relationship added related to 0000056
2006-12-27 03:33 suave Note Added: 0000993
2007-01-20 22:46 schlundus Project Testlink 1.6.x => TestLink
2007-09-16 03:52 mhavlat Note Added: 0002141
2007-09-16 03:54 mhavlat Summary TL API => TL API - RTP/XML
2007-09-16 03:54 mhavlat Description Updated
2007-10-10 02:14 mhavlat Relationship deleted related to 0000056
2007-12-30 07:50 mhavlat Assigned To mhavlat => azl
2007-12-30 07:52 mhavlat Status assigned => resolved
2007-12-30 07:52 mhavlat Fixed in Version => next development version (1.8 Beta1)
2007-12-30 07:52 mhavlat Resolution open => fixed
2007-12-30 07:52 mhavlat Note Added: 0002863
2008-06-03 16:49 mhavlat Fixed in Version next development version (1.8 Beta1) => 1.8 Beta 1
2008-11-07 19:46 mhavlat Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker